<?php

// Set the below to true to overwrite already existing settings with the defaults. (not recommended.)
$overwrite_old_settings = false;

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
	'example_setting' => '1',
	'example_setting2' => '0',
);

/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Turn the array defined above into a string of MySQL data.
$string = '';
foreach ($mod_settings as $k => $v)
	$string .= '
			(\'' . $k . '\', \'' . $v . '\'),';

// Sorted out the array defined above - now insert the data!

$result = db_query("CREATE TABLE IF NOT EXISTS `smf_smiley_groups` (
  `groupNumber` bigint(20) unsigned NOT NULL auto_increment,
  `groupName` varchar(10) NOT NULL,
  `groupOrder` bigint(20) NOT NULL,
  PRIMARY KEY  (`groupNumber`))");

// Uh-oh spaghetti-oh!
if ($result === false)
	echo '<b>Error:</b> Database CREATE TABLE failed!';

$result = db_query("ALTER TABLE `smf_smileys` ADD `smileyGroup`  bigint (20) NOT NULL");

// Uh-oh spaghetti-oh!
if ($result === false)
	echo '<b>Error:</b> Database ALTER TABLE failed!';
	
?>
